<?php
/**
@brief パーティ入力用:一般ユーザー用のコンファーム画面を作るための Render 用 Model
@version $Id: PartyConfirm.php,v 1.3 2004/07/26 14:18:21 minahito Exp $
*/

require_once XOOPS_ROOT_PATH."/class/module.textsanitizer.php";
require_once "exComponent/render/ConfirmModelRender.php";

class PartyConfirmRenderModel extends exConfirmRenderModel {
	var $caption_="入力の確認";
	var $headmessage_="以下の内容で登録します。確認の上、５分以内に Confirm ボタンを押して下さい";
	var $filter_=array("uid","input_date","update_date");

	var $_keyname_=array(
		"title"=>_MD_BXPARTY_LANG_TITLE,
		"headline"=>_MD_BXPARTY_LANG_HEADLINE,
		"ex"=>_MD_BXPARTY_LANG_EX,
		"place"=>_MD_BXPARTY_LANG_PLACE,
		"url"=>_MD_BXPARTY_LANG_URL,
		"private"=>_MD_BXPARTY_LANG_PUBLIC_FLAG,
		"status"=>_MD_BXPARTY_LANG_STATUS,
		"input_date"=>"初回投稿日時",
		"update_date"=>"更新日時",
		"limit_date"=>_MD_BXPARTY_LANG_LIMIT_DATE,
		"event_date"=>_MD_BXPARTY_LANG_EVENT_DATE
	);

	var $ts_;
	
	function MessageConfirmRenderModel() {
		$this->ts_=&MyTextSanitizer::getInstance();
	}

	function getValueAtMessage($key) {
		return $this->ts_->displayTarea($this->_array_[$key]);
	}

	function getValueAtInput_date($key) {
		return formatTimestamp($this->_array_[$key]);
	}

	function getValueAtUpdate_date($key) {
		return formatTimestamp($this->_array_[$key]);
	}

	function getValueAtLimit_date($key) {
		return formatTimestamp($this->_array_[$key]);
	}

	function getValueAtEvent_date($key) {
		return formatTimestamp($this->_array_[$key]);
	}
}

class DeletePartyConfirmRenderModel extends PartyConfirmRenderModel {
	var $caption_="削除の確認";
	var $headmessage_="以下の内容を削除します。確認の上、５分以内に Confirm ボタンを押して下さい";
}

?>
